function chkred(){
if(document.getElementById('pp2').checked){
document.ff1.stav.value='16.25';
document.ff1.year1.selectIndex=0;
document.getElementById('pp3').checked=true;

document.getElementById('op1').style.display='block';
document.getElementById('op2').style.display='none';
document.ff1.rub1.style.display='inline';
document.ff1.rub2.style.display='inline';
document.ff1.rub3.style.display='inline';
document.ff1.rub4.style.display='inline';
document.ff1.rub5.style.display='inline';
document.ff1.dol1.style.display='none';
document.ff1.dol2.style.display='none';
document.ff1.dol3.style.display='none';
document.ff1.dol4.style.display='none';
document.ff1.dol5.style.display='none';
}
if(document.getElementById('pp1').checked){
document.getElementById('pp3').checked=true;
/*document.ff1.stav.value='10.25';*/
document.ff1.stav.value='12.25';
document.ff1.year2.selectIndex=0;
document.getElementById('op1').style.display='none';
document.getElementById('op2').style.display='block';
document.ff1.rub1.style.display='none';
document.ff1.rub2.style.display='none';
document.ff1.rub3.style.display='none';
document.ff1.rub4.style.display='none';
document.ff1.rub5.style.display='none';
document.ff1.dol1.style.display='inline';
document.ff1.dol2.style.display='inline';
document.ff1.dol3.style.display='inline';
document.ff1.dol4.style.display='inline';
document.ff1.dol5.style.display='inline';
}
}
function chkyear(){
if(document.getElementById('pp1').checked){

/*if(document.ff1.year2.selectedIndex=='0'){
document.ff1.stav.value='10.25';
}*/
if(document.ff1.year2.selectedIndex=='0'){
document.ff1.stav.value='12.25';
}
if(document.ff1.year2.selectedIndex=='1'){
document.ff1.stav.value='12.5';
}
if(document.ff1.year2.selectedIndex=='2'){
document.ff1.stav.value='12.75';
}
if(document.ff1.year2.selectedIndex=='3'){
document.ff1.stav.value='13.0';
}
}
if(document.getElementById('pp2').checked){
if(document.ff1.year1.selectedIndex=='0'){
document.ff1.stav.value='16.25';
}
if(document.ff1.year1.selectedIndex=='1'){
document.ff1.stav.value='16.75';
}
if(document.ff1.year1.selectedIndex=='2'){
document.ff1.stav.value='17.25';
}
/*if(document.ff1.year1.selectedIndex=='3'){
document.ff1.stav.value='17.95';
}
if(document.ff1.year1.selectedIndex=='4'){
document.ff1.stav.value='18.95';
}*/
}
//!!!
if(document.getElementById('pp1').checked){
if(document.getElementById('pp4').checked){
/*if(document.ff1.year2.selectedIndex=='0'){
document.ff1.stav.value='11.25';
}*/
if(document.ff1.year2.selectedIndex=='0'){
document.ff1.stav.value='13.25';
}
if(document.ff1.year2.selectedIndex=='1'){
document.ff1.stav.value='13.5';
}
if(document.ff1.year2.selectedIndex=='2'){
document.ff1.stav.value='13.75';
}
if(document.ff1.year2.selectedIndex=='3'){
document.ff1.stav.value='14.0';
}
}
}
if(document.getElementById('pp2').checked){
if(document.getElementById('pp4').checked){
if(document.ff1.year1.selectedIndex=='0'){
document.ff1.stav.value='17.25';
}
if(document.ff1.year1.selectedIndex=='1'){
document.ff1.stav.value='17.75';
}
if(document.ff1.year1.selectedIndex=='2'){
document.ff1.stav.value='18.25';
}
/*if(document.ff1.year1.selectedIndex=='3'){
document.ff1.stav.value='18.95';
}
if(document.ff1.year1.selectedIndex=='4'){
document.ff1.stav.value='19.95';
}*/
}
}
if(document.getElementById('pp1').checked){
if(document.getElementById('pp3').checked){
/*
if(document.ff1.year2.selectedIndex=='0'){
document.ff1.stav.value='10.25';
}*/
if(document.ff1.year2.selectedIndex=='0'){
document.ff1.stav.value='12.25';
}
if(document.ff1.year2.selectedIndex=='1'){
document.ff1.stav.value='12.5';
}
if(document.ff1.year2.selectedIndex=='2'){
document.ff1.stav.value='12.75';
}
if(document.ff1.year2.selectedIndex=='3'){
document.ff1.stav.value='13.0';
}
}
}
if(document.getElementById('pp2').checked){
if(document.getElementById('pp3').checked){
if(document.ff1.year1.selectedIndex=='0'){
document.ff1.stav.value='16.25';
}
if(document.ff1.year1.selectedIndex=='1'){
document.ff1.stav.value='16.75';
}
if(document.ff1.year1.selectedIndex=='2'){
document.ff1.stav.value='17.25';
}
/*if(document.ff1.year1.selectedIndex=='3'){
document.ff1.stav.value='17.95';
}
if(document.ff1.year1.selectedIndex=='4'){
document.ff1.stav.value='18.95';
}*/
}
}


}
function tipd(){
if(document.getElementById('pp1').checked){
if(document.getElementById('pp4').checked){
/*if(document.ff1.year2.selectedIndex=='0'){
document.ff1.stav.value='11.25';
}*/
if(document.ff1.year2.selectedIndex=='0'){
document.ff1.stav.value='13.25';
}
if(document.ff1.year2.selectedIndex=='1'){
document.ff1.stav.value='13.50';
}
if(document.ff1.year2.selectedIndex=='2'){
document.ff1.stav.value='13.75';
}
if(document.ff1.year2.selectedIndex=='3'){
document.ff1.stav.value='14.0';
}
}
}
if(document.getElementById('pp2').checked){
if(document.getElementById('pp4').checked){
if(document.ff1.year1.selectedIndex=='0'){
document.ff1.stav.value='17.25';
}
if(document.ff1.year1.selectedIndex=='1'){
document.ff1.stav.value='17.75';
}
if(document.ff1.year1.selectedIndex=='2'){
document.ff1.stav.value='18.25';
}
/*if(document.ff1.year1.selectedIndex=='3'){
document.ff1.stav.value='18.95';
}
if(document.ff1.year1.selectedIndex=='4'){
document.ff1.stav.value='19.95';
}*/
}
}
if(document.getElementById('pp1').checked){
if(document.getElementById('pp3').checked){
/*
if(document.ff1.year2.selectedIndex=='0'){
document.ff1.stav.value='10.25';
}*/
if(document.ff1.year2.selectedIndex=='0'){
document.ff1.stav.value='12.25';
}
if(document.ff1.year2.selectedIndex=='1'){
document.ff1.stav.value='12.50';
}
if(document.ff1.year2.selectedIndex=='2'){
document.ff1.stav.value='12.75';
}
if(document.ff1.year2.selectedIndex=='3'){
document.ff1.stav.value='13.0';
}
}
}
if(document.getElementById('pp2').checked){
if(document.getElementById('pp3').checked){
if(document.ff1.year1.selectedIndex=='0'){
document.ff1.stav.value='16.25';
}
if(document.ff1.year1.selectedIndex=='1'){
document.ff1.stav.value='16.75';
}
if(document.ff1.year1.selectedIndex=='2'){
document.ff1.stav.value='17.25';
}
/*if(document.ff1.year1.selectedIndex=='3'){
document.ff1.stav.value='17.95';
}
if(document.ff1.year1.selectedIndex=='4'){
document.ff1.stav.value='18.95';
}*/
}
}
}
function spras(){
if(document.getElementById('p0').checked){
document.ff1.dd0.style.display='inline';
document.ff1.d0.style.display='none';
document.ff1.d1.style.display='inline'
document.ff1.d2.style.display='inline'
document.ff1.d3.style.display='inline'
document.ff1.d4.style.display='inline'

document.ff1.d1.value='0';
document.ff1.d2.value='0';
document.ff1.d3.value='0';
document.ff1.d4.value='0';

document.ff1.dd1.style.display='none';
document.ff1.dd2.style.display='none';
document.ff1.dd3.style.display='none';
document.ff1.dd4.style.display='none';
}
if(document.getElementById('p1').checked){
document.ff1.dd1.style.display='inline';
document.ff1.d0.style.display='inline';
document.ff1.d1.style.display='none';
document.ff1.d2.style.display='inline';
document.ff1.d3.style.display='inline';
document.ff1.d4.style.display='inline';

document.ff1.d0.value='0';
document.ff1.d2.value='0';
document.ff1.d3.value='0';
document.ff1.d4.value='0';

document.ff1.dd0.style.display='none';
document.ff1.dd2.style.display='none';
document.ff1.dd3.style.display='none';
document.ff1.dd4.style.display='none';
}
if(document.getElementById('p2').checked){
document.ff1.dd2.style.display='inline';
document.ff1.d2.style.display='none';
document.ff1.d1.style.display='inline';
document.ff1.d3.style.display='inline';
document.ff1.d4.style.display='inline';
document.ff1.d0.style.display='inline';

document.ff1.d1.value='0';
document.ff1.d0.value='0';
document.ff1.d3.value='0';
document.ff1.d4.value='0';

document.ff1.dd0.style.display='none';
document.ff1.dd1.style.display='none';
document.ff1.dd3.style.display='none';
document.ff1.dd4.style.display='none';
}
if(document.getElementById('p3').checked){
document.ff1.dd3.style.display='inline';
document.ff1.d3.style.display='none';
document.ff1.d1.style.display='inline';
document.ff1.d2.style.display='inline';
document.ff1.d0.style.display='inline';
document.ff1.d4.style.display='inline';

document.ff1.d1.value='0';
document.ff1.d0.value='0';
document.ff1.d2.value='0';
document.ff1.d4.value='0';

document.ff1.dd1.style.display='none';
document.ff1.dd2.style.display='none';
document.ff1.dd4.style.display='none';
document.ff1.dd0.style.display='none';
}
if(document.getElementById('p4').checked){
document.ff1.dd4.style.display='inline';
document.ff1.d4.style.display='none';
document.ff1.d1.style.display='inline';
document.ff1.d2.style.display='inline';
document.ff1.d0.style.display='inline';
document.ff1.d3.style.display='inline';

document.ff1.d1.value='0';
document.ff1.d0.value='0';
document.ff1.d3.value='0';
document.ff1.d2.value='0';

document.ff1.dd0.style.display='none';
document.ff1.dd1.style.display='none';
document.ff1.dd2.style.display='none';
document.ff1.dd3.style.display='none';
}
}

function cred(){

var dohs, srok, proc, formul, mesplat, prom1,prom2;
proc = eval(document.ff1.stav.value);
if(document.getElementById('pp2').checked){
srok = eval(document.ff1.year1.value);
}
if(document.getElementById('pp1').checked){
srok = eval(document.ff1.year2.value);
}
if(document.getElementById('pp1').checked){ 

kf1=50;
kf2=1250;
kf3 = 300000;
kf4=352941.18;
kf5=375000;
kf6=300000.5;
}
else{ 

kf1=1500;
kf2=36000;
kf3 = 9000000;
kf4=10588235.29;
kf5=11250000;
kf6=9000000.5;
}

if(document.getElementById('p0').checked)
{
dohs = eval(document.ff1.dd0.value);

proc=proc/100;
a1=1+proc/12;
a2=-srok*12;
formul =(1- Math.pow(a1,a2))/(proc/12);

if(dohs<kf2){
prom1 = (0.5*dohs-kf1)/(1+0.0099*formul/12);
if (prom1>0){
mesplat = Math.round((0.5*dohs-kf1)/(1+0.0099*formul/12));
mesplat11 = Math.round((0.5*dohs-kf1)/(1+0.0099*formul/12)*100)/100;
}
else 
{
mesplat =0;
mesplat11=0;
}
}
else{
prom2 = (0.6*dohs-kf1)/(1+0.0099*formul/12);

if (prom2>0){
mesplat = Math.round((0.6*dohs-kf1)/(1+0.0099*formul/12));
mesplat11 = Math.round((0.6*dohs-kf1)/(1+0.0099*formul/12)*100)/100;
}
else{ mesplat =0;
mesplat11=0;}
}
document.ff1.d3.value=mesplat11;

var sumkred;

stavka=proc/12;
a1=1+stavka;
a2=-srok*12;
sumkred=mesplat11*(Math.pow(a1,-a2)-1)/(stavka)/Math.pow(a1,-a2);  
document.ff1.d2.value=Math.round(sumkred);

var stoimkvar;

stoimkvar=Math.round(sumkred/0.7);

document.ff1.d1.value=stoimkvar;

var vsnos;

vsnos = stoimkvar - sumkred;
document.ff1.d4.value=Math.round(vsnos);
}

//по квартире

if(document.getElementById('p1').checked)
{
stoimkv = eval(document.ff1.dd1.value);

//сумма кредита
if(stoimkv>kf4){
if(stoimkv>kf5){
sumkred = stoimkv*0.7;
}
else{
sumkred = kf3;
}
}
else{
sumkred = stoimkv*0.70;
}
document.ff1.d2.value=Math.round(sumkred);

//ЕЖЕМЕС. ПЛАТЕЖИ

stavka=proc/12/100;
kper =srok*12; 

mesplat=sumkred*(Math.pow((1+stavka),kper))*stavka/(Math.pow((1+stavka),kper)-1);
document.ff1.d3.value=Math.round(mesplat);

//зарплата

var zarpl;

formul1 = (mesplat+kf1+sumkred*0.0099/12)/0.6;
formul2 = (mesplat+kf1+sumkred*0.0099/12)/0.5;

	if(formul1<kf2){
		if(formul2<kf2){
			zarpl = formul2;
		}
		else{
			zarpl = kf2;
		}
	}
	else{
		zarpl = formul1;
	}
document.ff1.d0.value=Math.round(zarpl);

vsnos = stoimkv - sumkred;

document.ff1.d4.value=Math.round(vsnos);
}

//по сумме кредита
if(document.getElementById('p2').checked)
{
sumkred = eval(document.ff1.dd2.value);
//квартира
if (sumkred<kf3){
stoimkvar=Math.round(sumkred/0.70);
}
else{
stoimkvar=Math.round(sumkred/0.7);
}
document.ff1.d1.value=stoimkvar;

//ЕЖЕМЕС. ПЛАТЕЖИ
proc = eval(document.ff1.stav.value);
if(document.getElementById('op1').style.display=='none')
{
srok = eval(document.ff1.year2.value);
}
else{
srok = eval(document.ff1.year1.value);
}
stavka=proc/12/100;
kper =srok*12; 

mesplat=sumkred*(Math.pow((1+stavka),kper))*stavka/(Math.pow((1+stavka),kper)-1);
document.ff1.d3.value=Math.round(mesplat);

//зарплата

formul1 = (mesplat+kf1+sumkred*0.0099/12)/0.6;
formul2 = (mesplat+kf1+sumkred*0.0099/12)/0.5;

	if(formul1<kf2){
		if(formul2<kf2){
			zarpl = formul2;
		}
		else{
			zarpl = kf2;
		}
	}
	else{
		zarpl = formul1;
	}
document.ff1.d0.value=Math.round(zarpl);	
	
//Взнос

vsnos = stoimkvar- sumkred;

document.ff1.d4.value=Math.round(vsnos);
}
//по ежемес. платежам

if(document.getElementById('p3').checked){

mesplat=eval(document.ff1.dd3.value);

//сумма кредита

var sumkred;

stavka=proc/12/100;
a1=1+stavka;
a2=-srok*12;
sumkred=mesplat*(Math.pow(a1,-a2)-1)/(stavka)/Math.pow(a1,-a2);  
document.ff1.d2.value=Math.round(sumkred);

//стоимость квартиры
if (sumkred<kf3){
stoimkvar=Math.round(sumkred/0.70);
}
else{
stoimkvar=Math.round(sumkred/0.7);
}
document.ff1.d1.value=stoimkvar;

//зарплата

formul1 = (mesplat+kf1+sumkred*0.0099/12)/0.6;
formul2 = (mesplat+kf1+sumkred*0.0099/12)/0.5;

	if(formul1<kf2){
		if(formul2<kf2){
			zarpl = formul2;
		}
		else{
			zarpl = kf2;
		}
	}
	else{
		zarpl = formul1;
	}
document.ff1.d0.value=Math.round(zarpl);

//Взнос

vsnos = stoimkvar- sumkred;

document.ff1.d4.value=Math.round(vsnos);
}

//по первоначальному взносу
if(document.getElementById('p4').checked){

vsnos =eval(document.ff1.dd4.value);

//сумма кредита
sumkred1 = -vsnos/(1-1/0.70);
if (sumkred1<kf3){
sumkred = sumkred1;
}
else {
sumkred2 = vsnos/(1-1/0.7);
sumkred = -sumkred2;
}
document.ff1.d2.value=Math.round(sumkred);

//стоимость квартиры
stoimkvar=vsnos+sumkred; 
document.ff1.d1.value=Math.round(stoimkvar);

//ежемес. платежи

stavka=proc/12/100;
kper =srok*12; 

mesplat=sumkred*(Math.pow((1+stavka),kper))*stavka/(Math.pow((1+stavka),kper)-1);
document.ff1.d3.value=Math.round(mesplat);

//зарплата

formul1 = (mesplat+kf1+sumkred*0.0099/12)/0.6;
formul2 = (mesplat+kf1+sumkred*0.0099/12)/0.5;

	if(formul1<kf2){
		if(formul2<kf2){
			zarpl = formul2;
		}
		else{
			zarpl = kf2;
		}
	}
	else{
		zarpl = formul1;
	}
document.ff1.d0.value=Math.round(zarpl);

}
}
